%global cups_serverbin %{_exec_prefix}/lib/cups

Summary:    Watermarking of printed documents
Name:       cups-filter-watermark
Version:    1.0.0
Release:    1%{?dist}.inferit

Url:        https://git.inferitos.ru/msvsphere/%{name}
License:    GPLv2+
Source0:    https://git.inferitos.ru/msvsphere/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

Requires(pre): cups-filters
Requires(pre): cups
Requires:   ghostscript
Requires:   pdftk-java
Requires:   poppler-utils

BuildArch:  noarch

%description
Special CUPS filter adding security level watermarks
on printed documents

%prep
%autosetup -n %{name} -p1

%build

%check

%install
install -d -m755 %{buildroot}%{_datadir}/cups/data
install -d -m755 %{buildroot}%{_datadir}/cups/mime
install -d -m755 %{buildroot}%{cups_serverbin}/filter
install -d -m755 %{buildroot}%{_sysconfdir}
install -p -m755 watermark %{buildroot}%{cups_serverbin}/filter/
install -p -m644 default-watermark.pdf %{buildroot}%{_datadir}/cups/data/
install -p -m644 watermark.* %{buildroot}%{_datadir}/cups/mime/

%post
if [ $1 == 1 ]; then
    setsebool -P domain_can_mmap_files 1
    setsebool -P cups_execmem 1
fi

%postun
if [ $1 == 0 ]; then
    setsebool -P domain_can_mmap_files 0
    setsebool -P cups_execmem 0
fi

%posttrans
%{_bindir}/systemctl restart cups.service

%files
%license COPYING
%doc README.md
%{cups_serverbin}/filter/*
%{_datadir}/cups/data/*
%{_datadir}/cups/mime/*

%changelog
* Wed Apr 23 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.0.0-1.inferit
- Added new script to add watermark

* Fri Apr 05 2019 Anton V. Boyarshinov <boyarsh@altlinux.org> 0.4-alt1
- throw an exception if there is no data for field
- don't watermark if /etc/cups-filter-sl-watermark.cfg missed or empty

* Fri Mar 22 2019 Anton V. Boyarshinov <boyarsh@altlinux.org> 0.3-alt1
- handling spaces in index fixed

* Thu Nov 01 2018 Anton V. Boyarshinov <boyarsh@altlinux.org> 0.2-alt1
- support fpr form-less watermarks added (but have no sense)

* Fri Oct 19 2018 Anton V. Boyarshinov <boyarsh@altlinux.org> 0.1-alt1
- first build


